package com.scpyun.platform.jilinsscgsdp.bean.vo;

import javax.validation.constraints.NotEmpty;

/**
 * @Author liu
 * @Date 2025/1/2 9:32
 * @PackageName:com.scpyun.platform.jilinsscgsdp.bean.vo
 * @ClassName: ReqEventAttachVo
 * @Description: TODO
 * @Version 1.0
 */
public class ReqEventAttachInsertVo {
    private String id;
    @NotEmpty(message = "图片链接不可为空！")
    private String url;
    @NotEmpty(message = "uuid不可为空！")
    private String uuid;
    private String suffix;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public String getSuffix() {
        return suffix;
    }

    public void setSuffix(String suffix) {
        this.suffix = suffix;
    }
}
